<?
include '../config.php';
include '../func.php';

head();
aut();
ban();

echo head . '<b>Система бана</b>' . div . katalog;

switch ($_GET['mod']) {
    
    default:
    
    echo '<a href="bann.php?mod=login">По нику</a> [<a href="bann.php?mod=loglist">Список</a>]<br/ >';
    echo '<a href="bann.php?mod=ip">По IP</a> [<a href="bann.php?mod=iplist">Список</a>]<br/ >';
    break;
    
    case 'loglist':
    if (isset($_GET['del'])) {
        mysql_query("UPDATE `profile` SET `kik` = '0' WHERE `id` = '".num($_GET['del'])."'");
    }
    $all = mysql_result(mysql_query("SELECT count(*) FROM `profile` WHERE `kik` > '" . time() . "'"), 0);
    if ($all == 0) echo 'Список пуст';
    $view = mysql_query("SELECT * FROM `profile` WHERE `kik` > '" . time() . "' ORDER BY `id` DESC");
	   
	   while($a = mysql_fetch_assoc($view)) {
	    
	       echo '<a href="bann.php?mod=loglist&del='.$a['id'].'">[x]</a> Ник: '.user($a['id']).'. Забанил: '.user($a['whokik']).'. Причина: '.$a['whukik'].'. До разбана: '.t( $a['kik'] - time() ).'<hr>';
		  
	   }
       

    
    break;
    
    case 'iplist':
    if (isset($_GET['del']))
        mysql_query("DELETE FROM `banip` WHERE `id` = '".num($_GET['del'])."'");
    
    $all = mysql_result(mysql_query("SELECT count(*) FROM `banip`"), 0);
    if ($all == 0) echo 'Список пуст';
    $view = mysql_query("SELECT * FROM `banip` ORDER BY `id` DESC");
	   
	   while($a = mysql_fetch_assoc($view)) {
	    
	       echo '<a href="bann.php?mod=iplist&del='.$a['id'].'">[x]</a> IP: <b>'.$a['ip'].'</b><hr>';
		  
	   }
       

    
    break;
    
    case 'login':
    if ($_POST['submit']) {
        $id = num($_POST['id']);
        $na = num($_POST['na']);
        $vremja = num($_POST['vremja']);
        $whykik = html($_POST['whykik']);
        
        $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
        if (empty($user['id'])) $err = 'Пользователь не найден';
        if ($user['level'] >= $level_session) $err = 'Ошибка доступа';
        if ($_POST['na'] < 1 || empty($_POST['na'])) $err = 'Не указано время блокировки';
        if (empty($whykik)) $err = 'Не указана причина';
        
        if (empty($err)) {
              if ($_POST['vremja'] == 'min') $na = (int)$_POST['na'] * 60;
              if ($_POST['vremja'] == 'chas') $na = (int)$_POST['na'] * 60 * 60;
              if ($_POST['vremja'] == 'sut') $na = (int)$_POST['na'] * 60 * 60 * 24;
              if ($_POST['vremja'] == 'mes') $na = (int)$_POST['na'] * 60 * 60 * 24 * 30;
              
              if (mysql_query("UPDATE `profile` SET `kik` = '".(time() + $na)."', `whokik` = '".$id_session."', `whykik` = '".$whykik."' WHERE `id` = '".$id."' LIMIT 1"))
                echo 'Пользователь заблокирован на ' . $na . ' за ' . $whykik;
              else
                echo 'Возникла ошибка';
        } else {
            echo '<b>Ошибка:</b> '.$err.'<br/>';
        }
    }
    echo 'Введите ID:';
    echo '<form action="bann.php?mod=login" method="post" name="form"><input type="text" name="id" value="" title="ID"/><br/>';
    echo 'Время:<br/ > <input type="text" name="na" value="" title="Время"/><br/>
    <select name="vremja">
    <option value="min">Минут</option>
    <option value="chas">Часов</option>
    <option value="sut">Суток</option>
    <option value="mes">Месяцов</option>
    </select>
    <br/>
    Причина:<br/><input type="text" name="whykik" title="Причина"/><br/><input type="submit" name="submit" value="Блокировать"/>';
    break;
    
    case 'ip':
    if (isset($_POST['submit'])) {
        $id = num($_POST['id']);
        $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
        if (empty($user['id'])) $err = 'Пользователь не найден';
        #if ($user['level'] >= $level_session) $err = 'Ошибка доступа';
        
        if (empty($err)) {

              
        if (mysql_query("INSERT INTO  `banip` SET `ip` = '".$user['ip']."', `who` = '".$user['id']."', `whoban` = '".$id_session."'"))
                echo 'IP: <b>'.$user['ip'].'</b> внесен в черный список<br/ >';
              else
                echo 'Возникла ошибка';
        } else {
            echo '<b>Ошибка:</b> '.$err.'<br/>';
        }
    }
    echo 'Введите ID:';
    echo '<form action="bann.php?mod=ip" method="post" name="form"><input type="text" name="id" value="" title="ID"/><br/>
    <input type="submit" name="submit" value="Блокировать"/>';
    break;
    
    
    }
    
navig();
foot();
?>